package holeg.model;

import holeg.power_flow.ComplexNumber;

public interface GridEdge {
    GridNode getFrom();
    GridNode getTo();

    double getLengthKilometers();
    ComplexNumber getOverrideImpedance();
    double getOverrideShuntSusceptance();

    void setCurrent(double current);
    void setPowerFlow(ComplexNumber power);
    void setLineLoss(ComplexNumber loss);
}
